Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-15548

Line 55, /user/editadvanced.php should use !emtpy or else notice is displayed

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.9.1
    • Fix Version/s: 1.9.2
    • Component/s: Administration
    • Labels:
      None
    • Affected Branches:
      MOODLE_19_STABLE
    • Fixed Branches:
      MOODLE_19_STABLE

      Description

      Problem from the latest commit of a couple hours ago.

      A notice is displayed unless debugging is set to minimal because the variable is not defined on user creation. I saw this on creating new users on a fresh install.

      Since MDL-15516 is blocked, I assume the original bug might be a security issue, although the above change should be made to avoid notices. But that is why I marked this as a possible security issue.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Fix Release Date:
                11/Jul/08